using System;
using Foxit.PDF;
using Foxit.PDF.Merger;
using Foxit.PDF.PageElements;

namespace Web_CSharp.MergerExamples
{
	public partial class AcroFormFill : System.Web.UI.Page
	{

		protected void Page_Load(object sender, System.EventArgs e)
		{
			if( IsPostBack )
			{
				// Create a document and set it's properties
				MergeDocument document = new MergeDocument( MapPath("../PDFs/fw9AcroForm_11.pdf") );    
				document.Creator = "AcroFormFill.aspx";
				document.Author = "Foxit Software";
				document.Title = "W-9 AcroForm Filler";

                // Add content to the page
                document.Form.Fields["topmostSubform[0].Page1[0].f1_01_0_[0]"].Value = txtName.Text;
                document.Form.Fields["topmostSubform[0].Page1[0].f1_02_0_[0]"].Value = txtBusinessName.Text;

                switch (chkBusinessType.SelectedItem.Value)
                {
                    case "1":
                        document.Form.Fields["topmostSubform[0].Page1[0].FedClassification[0].c1_01[0]"].Value = "1";
                        break;
                    case "2":
                        document.Form.Fields["topmostSubform[0].Page1[0].FedClassification[0].c1_01[1]"].Value = "2";
                        break;
                    case "3":
                        document.Form.Fields["topmostSubform[0].Page1[0].FedClassification[0].c1_01[2]"].Value = "3";
                        break;
                    case "4":
                        document.Form.Fields["topmostSubform[0].Page1[0].FedClassification[0].c1_01[3]"].Value = "4";
                        break;
                    case "5":
                        document.Form.Fields["topmostSubform[0].Page1[0].FedClassification[0].c1_01[4]"].Value = "5";
                        break;
                    case "6":
                        document.Form.Fields["topmostSubform[0].Page1[0].FedClassification[0].c1_01[5]"].Value = "6";
                        document.Form.Fields["topmostSubform[0].Page1[0].FedClassification[0].f1_18_0_[0]"].Value = txtTaxClassification.Text;
                        break;
                    case "7":
                        document.Form.Fields["topmostSubform[0].Page1[0].FedClassification[0].c1_01[6]"].Value = "7";
                        document.Form.Fields["topmostSubform[0].Page1[0].FedClassification[0].f1_50_0_[0]"].Value = txtBusinessTypeOther.Text;
                        break;
                }

                if (chkExempt.Checked)
                {
                    document.Form.Fields["topmostSubform[0].Page1[0].c1_01[0]"].Value = "8";
                }

                document.Form.Fields["topmostSubform[0].Page1[0].Address[0].f1_04_0_[0]"].Value = txtAddress.Text;
                document.Form.Fields["topmostSubform[0].Page1[0].Address[0].f1_05_0_[0]"].Value = txtAddress2.Text;
                document.Form.Fields["topmostSubform[0].Page1[0].f1_06_0_[0]"].Value = txtRequestersAddress.Text;
                document.Form.Fields["topmostSubform[0].Page1[0].f1_07_0_[0]"].Value = txtAccounts.Text;

                string ssn = txtSSN.Text.Trim().Replace("-", "").Replace(" ", "");
                string ein = txtEIN.Text.Trim().Replace("-", "").Replace(" ", "");
                if (ssn.Length >= 9)
                {
                    document.Form.Fields["topmostSubform[0].Page1[0].social[0].f1_07[0]"].Value = ssn.Substring(0, 1) + ssn.Substring(1, 1) + ssn.Substring(2, 1);
                    document.Form.Fields["topmostSubform[0].Page1[0].social[0].f1_08[0]"].Value = ssn.Substring(3, 1) + ssn.Substring(4, 1);
                    document.Form.Fields["topmostSubform[0].Page1[0].social[0].f1_09[0]"].Value = ssn.Substring(5, 1) + ssn.Substring(6, 1) + ssn.Substring(7, 1) + ssn.Substring(8, 1);
                }
                else if (ein.Length >= 9)
                {
                    document.Form.Fields["topmostSubform[0].Page1[0].Employeridentifi[0].f1_10[0]"].Value = ein.Substring(0, 1) + ein.Substring(1, 1);
                    document.Form.Fields["topmostSubform[0].Page1[0].Employeridentifi[0].f1_11[0]"].Value = ein.Substring(2, 1) + ein.Substring(3, 1) + ein.Substring(4, 1) + ein.Substring(5, 1) + ein.Substring(6, 1) + ein.Substring(7, 1) + ein.Substring(8, 1);
                }
				
				// Uncomment to make form read only
				//document.Form.IsReadOnly = true;
				
				// Outputs the W-9 to the current web page
				document.DrawToWeb( "AcroFormFiller.pdf" );
				Visible = false;
			}
		}

		#region Web Form Designer generated code
		override protected void OnInit(EventArgs e)
		{
			//
			// CODEGEN: This call is required by the ASP.NET Web Form Designer.
			//
			InitializeComponent();
			base.OnInit(e);
		}
		
		/// <summary>
		/// Required method for Designer support - do not modify
		/// the contents of this method with the code editor.
		/// </summary>
		private void InitializeComponent()
		{    
		}
		#endregion
	}
}
